"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.manifest = void 0;
var core_js_1 = require("@web3api/core-js");
exports.manifest = {
    // TODO: use the schema.graphql
    // https://github.com/web3-api/monorepo/issues/101
    schema: "\n# TODO: should import and \"implements\" the api-resolver core-api schema\n# https://github.com/Web3-API/monorepo/issues/75\n\ntype Query {\n  catFile(\n    cid: String!\n    options: Options\n  ): Bytes!\n\n  resolve(\n    cid: String!\n    options: Options\n  ): ResolveResult\n\n  tryResolveUri(\n    authority: String!\n    path: String!\n  ): ApiResolver_MaybeUriOrManifest\n\n  getFile(\n    path: String!\n  ): Bytes\n}\n\ntype Mutation {\n  # TODO: Allow for custom type CID\n  # https://github.com/web3-api/monorepo/issues/103\n  addFile(data: Bytes!): String!\n}\n\ntype ResolveResult {\n  cid: String!\n  provider: String!\n}\n\ntype Options {\n  # Timeout (in ms) for the operation.\n  # Fallback providers are used if timeout is reached.\n  timeout: UInt64\n\n  # The IPFS provider to be used\n  provider: String\n}\n\n# TODO: should get replaced with an import\n# https://github.com/Web3-API/monorepo/issues/75\ntype ApiResolver_MaybeUriOrManifest {\n  uri: String\n  manifest: String\n}",
    implemented: [new core_js_1.Uri("w3/api-resolver")],
    imported: [],
};
//# sourceMappingURL=manifest.js.map